Open CASCADE Technology: Extrema_HArray2OfPOnSurf Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Extrema_HArray2OfPOnSurf Class Reference

`#include <Extrema_HArray2OfPOnSurf.hxx>`

Inheritance diagram for Extrema_HArray2OfPOnSurf:
[legend]

## Public Member Functions
| Extrema_HArray2OfPOnSurf (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
| Extrema_HArray2OfPOnSurf (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Extrema_POnSurf &V)
void | Init (const Extrema_POnSurf &V)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Extrema_POnSurf &Value)
const Extrema_POnSurf & | Value (const Standard_Integer Row, const Standard_Integer Col) const
Extrema_POnSurf & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
const Extrema_Array2OfPOnSurf & | Array2 () const
Extrema_Array2OfPOnSurf & | ChangeArray2 ()
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

Extrema_HArray2OfPOnSurf::Extrema_HArray2OfPOnSurf | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |  |

Extrema_HArray2OfPOnSurf::Extrema_HArray2OfPOnSurf | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Extrema_POnSurf & | V
| ) |  |

## Member Function Documentation

const Extrema_Array2OfPOnSurf& Extrema_HArray2OfPOnSurf::Array2 | ( |  | ) | const

Extrema_Array2OfPOnSurf& Extrema_HArray2OfPOnSurf::ChangeArray2 | ( |  | ) |

Extrema_POnSurf& Extrema_HArray2OfPOnSurf::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  |

Standard_Integer Extrema_HArray2OfPOnSurf::ColLength | ( |  | ) | const

void Extrema_HArray2OfPOnSurf::Init | ( | const Extrema_POnSurf & | V | ) |

Standard_Integer Extrema_HArray2OfPOnSurf::LowerCol | ( |  | ) | const

Standard_Integer Extrema_HArray2OfPOnSurf::LowerRow | ( |  | ) | const

Standard_Integer Extrema_HArray2OfPOnSurf::RowLength | ( |  | ) | const

void Extrema_HArray2OfPOnSurf::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Extrema_POnSurf & | Value
| ) |  |

Standard_Integer Extrema_HArray2OfPOnSurf::UpperCol | ( |  | ) | const

Standard_Integer Extrema_HArray2OfPOnSurf::UpperRow | ( |  | ) | const

const Extrema_POnSurf& Extrema_HArray2OfPOnSurf::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  | const

The documentation for this class was generated from the following file:

- Extrema_HArray2OfPOnSurf.hxx